Subject: Re: [dtn-users] Error installing DTN2
From: "Ng, Nicole - 0663 - MITLL" <[email-masked]>
To: "Iannicca, Dennis C. (GRC-RHN0)" <[email-masked]>, "Andresen, Jason R." <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "Dastangoo, Siamak - 0663 - MITLL" <[email-masked]>
Date: Tue, 29 Jun 2010 08:58:31 -0400
List-Id: dtn-users mailing list <dtn-users.maillists.intel-research.net>

Thank you guys for your help! I edited the gcc.ac file as you suggested Dennis and now it compiles without any errors.

Thank you,

Nicole

From: Iannicca, Dennis C. (GRC-RHN0) [mailto:[email-masked]]
Sent: Monday, June 28, 2010 5:23 PM
To: Andresen, Jason R.
Cc: Ng, Nicole - 0663 - MITLL; [email-masked]; Dastangoo, Siamak - 0663 - MITLL
Subject: Re: [dtn-users] Error installing DTN2

            If the problem you're referring to is the same issue I was having building DTN2 2.7.0 on 64-bit Linux, the fix was for me to go to line 312 of oasys/aclocal/gcc.ac, add "$picflags" to the LDFLAGS options, and then rerun the build-configure.sh scripts under the oasys and dtn2 directories.  The line should look like this:

             LDFLAGS="$picflags $shopt $ac_save_LDFLAGS"

            The configure script should then pick up the PIC flags for the 64-bit architecture and it'll build with shared library support.

On Jun 28, 2010, at 5:01 PM, Andresen, Jason R. wrote:

That happens when ./configure erroneously thinks that it cannot make shared objects and does not populate the -shared and PIC flags.  It seems to happen a lot on very new (Fedora 13 for example) versions of Linux.  I have not tracked down the exact reason unfortunately, I've just hacked up the configure scripts to bypass the check and then populate the fields by hand.

You will to recompile oasys after you make the fix (in both DTN2 and oasys).

From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]] On Behalf Of Ng, Nicole - 0663 - MITLL
Sent: Monday, June 28, 2010 4:57 PM
To: [email-masked]<mailto:[email-masked]>
Cc: Dastangoo, Siamak - 0663 - MITLL
Subject: [dtn-users] Error installing DTN2

Dear All,

I am a summer intern working at MIT Lincoln Laboratory. I am trying to install/build DTN on redhat linux, but I have run into some difficulties. I downloaded dtn-2.7.0 and oasys-1.4.0 from SourceForge. I have also installed tcl 8.4, db 4.3, and xerces -c-3.1.1. The folders for dtn-2.7.0 and oasys-1.4.0 are in the same directory. The oasys directory resides in ../ of the main dtn-2.7.0 directory.  I successfully installed oasys and renamed the folder oasys-1.4.0 to oasys so that dtn-2.7.0 can find the libraries.

I then tried to compile dtn-2.7.0 but received an error. The following are the commands I've entered once I cd into the dtn-2.7.0 folder:

make distclean
./build-configure.sh
./configure
make

After entering make, I receive an error that reads "undefined reference to 'main'". Below is the output:

(.text+0x20): undefined reference to `main'
collect2: ld returned 1 exit status
make[1]: *** [libdtnapi-2.7.0.] Error 1
make[1]: Leaving directory `/root/dtn-2.7.0/applib'
make: *** [applib] Error 2

Has anyone else run into this problem as well? Any insight into this error would be greatly appreciated.

Thank you,

Nicole

<ATT00001..txt>